Subject: Re: bug#20433: Keyboard not working on laptop with guixSD

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 16 Jan 2016 15:43:57 +0100

Ludovic Courtès <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> So, using HIDBP is probably wrong and might very well be the cause.
>> Looking at the module names again I searched the logs for “usbkbd” and,
>> yes, the GuixSD logs contain this line:
>>
>>     usbcore: registered new interface driver usbkbd
>
> Do you think we should remove usbkbd from (gnu system linux-initrd)?
> Is there another module we should load instead?

I don’t know why one would want to use “usbkbd” and thus HIDBP.  As far
as I understand “usbhid” should be sufficient.

~~ Ricardo